Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7126 - Doesn't want to update OS on /dev/hdb1
Summary: Doesn't want to update OS on /dev/hdb1
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer
Version: 6.1
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jay Turner
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-19 01:36 UTC by Alex Kozlov
Modified: 2015-01-07 23:39 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-09 13:38:28 UTC


Attachments (Terms of Use)

Description Alex Kozlov 1999-11-19 01:36:00 UTC
Hello,

I am running a system that has RedHat Linux 6.0 on /dev/hdb (I have
Windows NT on /dev/hda).  When I try to upgrade the system with
RedHat 6.1 that I recently bought, it gives me an error:

Error mounting ext2 filesystem on hda1: Invalid argument

Then it says that install exited abnormally.

Why is it looking at /dev/hda1 at all when I want to upgrade OS on
/dev/hdb?  What should I do (to erase my Windows partitions on
the first drive is not an option).

I am using your latest updates-RHEA-1999:045.img boot images.

Comment 1 swift 2000-01-04 18:22:59 UTC
Same goes for me, on /dev/hda3

Peter Lu (swift@world.std.com)

Comment 2 Cristian Gafton 2000-01-27 08:07:59 UTC
assign to installer

Comment 3 Jay Turner 2000-02-09 13:38:59 UTC
It is looking at /dev/hda1 because the installer is trying to determine all of
the installations on the system which are valid for upgrade.  The problem with
it trying to mount your NTFS partition as an ext2 filesystem is a known bug in
6.1 and is fixed via errata boot images.

Comment 4 swift 2000-02-14 19:16:59 UTC
And where may I ask are these updated boot images?  The 6.1 errata/bug-fix
area only has some image that dates back to Oct. 22, 1999, which ARE the ones
I used and which are the ones that have bugs.  The description mentions some
NTFS fix, but it is either not the solution or not the full solution to the
boot upgrade problem.  Thanks for any info.

Peter Lu
swift@world.std.com

Comment 5 Jay Turner 2000-02-16 13:15:59 UTC
Those are indeed the errata images that I am talking about.  The errata images
fix the problem with the upgrade process trying to mount NTFS partitions as ext2
partitions.  This appears to be the problem you are having.  If you are using
the updated images, as well as booting the system with "linux updates" and
inserting the updates disk when prompted and still getting this error, then
there is very likely a problem with the updates disk itself.  How are you
creating the updates disk?  Are you dd'ing the image out from linux or using
rawrite?


Note You need to log in before you can comment on or make changes to this bug.